> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Endpoint



## OpenAPI

````yaml api-reference/openapi-cards.json POST /card_auth_loop_endpoint
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /card_auth_loop_endpoint:
    post:
      tags:
        - Card Auth Loop Endpoint
      summary: Create an Endpoint
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  basic_secret: secret
                  basic_user: organization_name
                  url: https://example.application.com/newurl
            schema:
              properties:
                basic_secret:
                  description: >-
                    First value in `base64(basic_user:basic_secret)`, sent as
                    Authorization for request validation. This will appear as
                    `<encrypted value>` in all responses, for security
                  type: string
                basic_user:
                  description: >-
                    First value in `base64(basic_user:basic_secret)`, sent as
                    Authorization for request validation
                  type: string
                default_response:
                  description: >-
                    Default response to use when the endpoint doesn't respond
                    within the timeout period or returns an error. Please see
                    Managing Card Authorizations for details and warnings.
                    Defaults to 'approved'.
                  type: string
                url:
                  description: The HTTPS URL that will respond to the card auth message
                  type: string
                userdata:
                  description: Arbitrary data the user can attach
                  type: object
              required:
                - id
                - url
        description: The card_auth_loop_endpoint to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    basic_secret: <encrypted value>
                    basic_user: organization_name
                    created_at: '2023-12-01T17:00:00Z'
                    default_response: approved
                    id: cale_11ghk0709srf
                    updated_at: '2023-12-01T17:00:00Z'
                    url: https://example.application.com/newurl
                    userdata: null
              schema:
                properties:
                  basic_secret:
                    description: >-
                      First value in `base64(basic_user:basic_secret)`, sent as
                      Authorization for request validation. This will appear as
                      `<encrypted value>` in all responses, for security
                    type: string
                  basic_user:
                    description: >-
                      First value in `base64(basic_user:basic_secret)`, sent as
                      Authorization for request validation
                    type: string
                  default_response:
                    description: >-
                      Default response to use when the endpoint doesn't respond
                      within the timeout period or returns an error. Please see
                      Managing Card Authorizations for details and warnings.
                      Defaults to 'approved'.
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  url:
                    description: The HTTPS URL that will respond to the card auth message
                    type: string
                  userdata:
                    description: Arbitrary data the user can attach
                    type: object
          description: The card_auth_loop_endpoint created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````